OnDiskIndexBuilder.TermSize (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Enum OnDiskIndexBuilder.TermSize

- java.lang.Object
- - java.lang.Enum<OnDiskIndexBuilder.TermSize>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndexBuilder.TermSize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OnDiskIndexBuilder.TermSize>
  Enclosing class:
    OnDiskIndexBuilder

      public static enum OnDiskIndexBuilder.TermSize
      extends java.lang.Enum<OnDiskIndexBuilder.TermSize>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INT`
    `LONG`
    `UUID`
    `VARIABLE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `size`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isConstant()`
    `static OnDiskIndexBuilder.TermSize` | `of(int size)`
    `static OnDiskIndexBuilder.TermSize` | `sizeOf(AbstractType<?> comparator)`
    `static OnDiskIndexBuilder.TermSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OnDiskIndexBuilder.TermSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final OnDiskIndexBuilder.TermSize INT

    - #### LONG

          public static final OnDiskIndexBuilder.TermSize LONG

    - #### UUID

          public static final OnDiskIndexBuilder.TermSize UUID

    - #### VARIABLE

          public static final OnDiskIndexBuilder.TermSize VARIABLE

  - ### Field Detail

    - #### size

          public final int size

  - ### Method Detail

    - #### values

          public static OnDiskIndexBuilder.TermSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnDiskIndexBuilder.TermSize c : OnDiskIndexBuilder.TermSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnDiskIndexBuilder.TermSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isConstant

          public boolean isConstant()

    - #### of

          public static OnDiskIndexBuilder.TermSize of(int size)

    - #### sizeOf

          public static OnDiskIndexBuilder.TermSize sizeOf(AbstractType<?> comparator)

Copyright © 2018 The Apache Software Foundation